global:
  imageRegistry: registry.gitlab.com/operator-ict/golemio
  secretName: data-tools-secret
  imagePullSecrets: []
  pullPolicy: IfNotPresent
  replicas: 1
  readinessProbe:
    initialDelaySeconds: 5
    periodSeconds: 15
  startupProbe:
    failureThreshold: 5
    periodSeconds: 10

podLabels: {}

toolsApp:
  enabled: false
  name: tools-app
  repository: extras/python-tools
  branch: development
  tag: latest
  port: 5000
  replicas: 1
  ingress:
    host: "dev-tools-app.example.com"
    tls: true
  podAnnotations: {}
  resources:
    limits:
      cpu: 500m
      memory: 1500Mi
    requests:
      cpu: 50m
      memory: 200Mi

anonymizationSov:
  enabled: false
  name: anonymization-sov
  repository: weby/socialni-sluzby
  branch: master
  tag: latest
  port: 5000
  replicas: 1
  ingress:
    host: "anonymization-sov.example.com"
    tls: true
  podAnnotations: {}
  resources:
    limits:
      cpu: 50m
      memory: 200Mi
    requests:
      cpu: 10m
      memory: 100Mi

udpListener:
  enabled: false
  name: udp-listener
  repository: devops/udp-listener
  branch: master
  tag: latest
  port: 5000
  replicas: 1
  log:
    enabled: true
  s3:
    enabled: false
    endpoint: "XXXXX"
    bucket: "XXXXX"
  service:
    port: 3006
  podAnnotations: {}
  resources:
    limits:
      cpu: 300m
      memory: 300Mi
    requests:
      cpu: 50m
      memory: 50Mi

azureTools:
  enabled: false
  name: azure-tools
  repository: devops/azure-tools
  branch: main
  tag: "1315520683" # musí se aktualizovat ručně!!!
  replicas: 1
  resources:
    limits:
      cpu: 1500m
      memory: 700Mi
    requests:
      cpu: 50m
      memory: 50Mi

configurationFiles:
  azureTools:
    cronpy: |
      * * * * * nonroot /usr/local/bin/python -u /app/app.py --task download --container rabin-cron  --suffix ".json" --key fhana-test --url https://www.waze.com/row-rtserver/broadcast/BroadcastRSS?buid=b2054ba4f1fc95f59bfcbba6f50940ea&format=JSON
      * * * * * nonroot echo `date` $AZURE_STORAGE_ACCOUNT >> /tmp/date.txt
